#ifndef _ESP8266_H_
#define _ESP8266_H_

#include "common.h"	 



#define REV_OK		0	//接收完成标志
#define REV_WAIT	1	//接收未完成标志

#define tbuf 50
extern uint8_t aRxBuffer1[1];		// 用来接收串口1发送的数据
extern uint8_t aRxBuffer2[1];		// 用来接收串口1发送的数据
extern uint8_t aRxBuffer6[1];		// 用来接收串口1发送的数据

extern u8  RX_buffer[tbuf];


void ESP8266_Init(void);

void ESP8266_Clear(void);

void ESP8266_SendData(unsigned char *data, unsigned short len);

unsigned char *ESP8266_GetIPD(unsigned short timeOut);
_Bool ESP8266_SendCmd(char *cmd, char *res);
void ESP8266_SendData(unsigned char *data, unsigned short len);

#endif
